Subject: bug#17412: 24.3; Unicode key events broken, not usable in input method

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 May 2014 21:13:01 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Stefan Dorn <[email-masked]>,  [email-masked]
> Date: Tue, 06 May 2014 16:12:13 -0400
> 
> > That's not how to add normalization support to Emacs search.  It is
> > much better to define a case-table that maps each normalization
> > variant to a single canonical one, and then search functions will (or
> > at least should: I didn't actually try that) automatically do the
> 
> Can case-tables do such normalization?  Last I checked, they work "one
> char at a time" and can't handle multi-char mappings at all (neither as
> input nor as output).

I meant the canonical slot of the case-tables.  Of course, doing what
I suggested will need some changes on the C level, but they are
straightforward, I think.